boost::geometry::traits::rvalue_type< Range > Struct Template Reference

Metafunction to define the argument passed to the three traits classes clear, push_back and resize. More...

List of all members.

## Public Types

typedef boost::remove_reference< Range > ::type & | type

## Detailed Description

### template<typename Range>
struct boost::geometry::traits::rvalue_type< Range >

Metafunction to define the argument passed to the three traits classes clear, push_back and resize.

## Member Typedef Documentation

template<typename Range >

typedef boost::remove_reference<Range>::type& boost::geometry::traits::rvalue_type< Range >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK